// Hemisphere shader
vs.1.1

// Vertex position
m4x4 oPos, v0, c0

// First texture coordinate is the normal
mov oT0, v3

// Second texture coordinate is the normal in world space
dp3 r0.x, v3, c4
dp3 r0.y, v3, c5
dp3 r0.z, v3, c6

// Normalize
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul oT1.xyz, r0.xyz, -r0.w

// Color
mov oD0, c8